org.apache.sling.installer.provider.jcr.impl

## Class InstallerConfig

- java.lang.Object
- - org.apache.sling.installer.provider.jcr.impl.InstallerConfig

    public class InstallerConfig
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`InstallerConfig(org.slf4j.Logger logger, org.apache.sling.installer.provider.jcr.impl.JcrInstaller.Configuration configuration, org.apache.sling.settings.SlingSettingsService settings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addWatchedFolder(org.apache.sling.installer.provider.jcr.impl.WatchedFolder toAdd)` Add WatchedFolder to our list if it doesn't exist yet.
`boolean` `anyWatchFolderNeedsScan()`
`List<String>` `checkForRemovedWatchedFolders(javax.jcr.Session session)` Check all WatchedFolder, in case some were deleted
`List<org.apache.sling.installer.provider.jcr.impl.WatchedFolder>` `cloneWatchedFolders()`
`Collection<org.apache.sling.installer.provider.jcr.impl.JcrInstaller.NodeConverter>` `getConverters()`
`org.apache.sling.installer.provider.jcr.impl.FolderNameFilter` `getFolderNameFilter()`
`int` `getMaxWatchedFolderDepth()`
`String` `getNewConfigPath()`
`String` `getPauseScanNodePath()`
`String[]` `getRoots()`
`boolean` `isWriteBack()`
`List<org.apache.sling.installer.api.InstallableResource>` `scanWatchedFolders()` Scan watchedFolders and get installable resources

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstallerConfig

    public InstallerConfig(org.slf4j.Logger logger,
                           org.apache.sling.installer.provider.jcr.impl.JcrInstaller.Configuration configuration,
                           org.apache.sling.settings.SlingSettingsService settings)

### Method Detail

#### getRoots

    public String[] getRoots()

#### getFolderNameFilter

    public org.apache.sling.installer.provider.jcr.impl.FolderNameFilter getFolderNameFilter()

#### getConverters

    public Collection<org.apache.sling.installer.provider.jcr.impl.JcrInstaller.NodeConverter> getConverters()

#### getMaxWatchedFolderDepth

    public int getMaxWatchedFolderDepth()

#### getPauseScanNodePath

    public String getPauseScanNodePath()

#### isWriteBack

    public boolean isWriteBack()

#### getNewConfigPath

    public String getNewConfigPath()

#### cloneWatchedFolders

    public List<org.apache.sling.installer.provider.jcr.impl.WatchedFolder> cloneWatchedFolders()

#### scanWatchedFolders

    public List<org.apache.sling.installer.api.InstallableResource> scanWatchedFolders()
                                                                                throws javax.jcr.RepositoryException

Scan watchedFolders and get installable resources

Throws:
  `javax.jcr.RepositoryException`

#### checkForRemovedWatchedFolders

    public List<String> checkForRemovedWatchedFolders(javax.jcr.Session session)
                                               throws javax.jcr.RepositoryException

Check all WatchedFolder, in case some were deleted

Throws:
  `javax.jcr.RepositoryException`

#### addWatchedFolder

    public void addWatchedFolder(org.apache.sling.installer.provider.jcr.impl.WatchedFolder toAdd)

Add WatchedFolder to our list if it doesn't exist yet.

#### anyWatchFolderNeedsScan

    public boolean anyWatchFolderNeedsScan()